# Method: promotions.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#body.ListPromotionResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list#try-it)

List all promotions from your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/promotions`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account that contains the collection. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of promotions to return. The service may return fewer than this value. If unspecified, at most 50 labels will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `promotions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `promotions.list` must match the call that provided the page token. |
| `countryCode` | `string` [CLDR country code](http://www.unicode.org/repos/cldr/tags/latest/common/main/en.xml) (for example, "US"), used as a filter on promotions target country. |
| `languageCode` | `string` The two-letter ISO 639-1 language code associated with the promotions, used as a filter. |

### Request body

The request body must be empty.

### Response body

Response message for Promotions.List method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "promotions": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/promotions#Promotion`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `promotions[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/promotions#Promotion`)`` List of all available promotions for the merchant. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).